#include <stdio.h>

struct
{
    // short m;
    char c[13];
    int x[4];
    // long y[10];
    // int y;
    // short c;
    // char x;
} p1;

int main()
{
    printf("p1 size: %lu B\n", sizeof(p1));
    printf("%p %p\n", &p1.c, &p1.x);
    return 0;
}